#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: test-framework
version: 0.8.2.0
id: test-framework-0.8.2.0-GlDihZmGWU1BQhBGpymqjI
key: test-framework-0.8.2.0-GlDihZmGWU1BQhBGpymqjI
license: BSD-3-Clause
maintainer: Libraries List <libraries@haskell.org>
author: Max Bolingbroke <batterseapower@hotmail.com>
homepage: http://haskell.github.io/test-framework/
synopsis: Framework for running and organising tests, with HUnit and QuickCheck support
description:
    Allows tests such as QuickCheck properties and HUnit test cases to be assembled into test groups, run in
    parallel (but reported in deterministic order, to aid diff interpretation) and filtered and controlled by
    command line options. All of this comes with colored test output, progress reporting and test statistics output.
category: Testing
abi: f976295ae7c7287c0b8f5d1467697cd1
exposed: True
exposed-modules:
    Test.Framework Test.Framework.Options Test.Framework.Providers.API
    Test.Framework.Runners.API Test.Framework.Runners.Console
    Test.Framework.Runners.Options Test.Framework.Runners.TestPattern
    Test.Framework.Seed
hidden-modules: Test.Framework.Core Test.Framework.Improving
                Test.Framework.Runners.Console.Colors
                Test.Framework.Runners.Console.ProgressBar
                Test.Framework.Runners.Console.Run
                Test.Framework.Runners.Console.Statistics
                Test.Framework.Runners.Console.Table
                Test.Framework.Runners.Console.Utilities
                Test.Framework.Runners.Core Test.Framework.Runners.Processors
                Test.Framework.Runners.Statistics Test.Framework.Runners.ThreadPool
                Test.Framework.Runners.TimedConsumption
                Test.Framework.Runners.XML.JUnitWriter Test.Framework.Runners.XML
                Test.Framework.Utilities
import-dirs: /usr/lib/ghc-8.4.2/site-local/test-framework-0.8.2.0
library-dirs: /usr/lib/ghc-8.4.2/site-local/test-framework-0.8.2.0
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.4.2/test-framework-0.8.2.0
hs-libraries: HStest-framework-0.8.2.0-GlDihZmGWU1BQhBGpymqjI
depends:
    base-4.11.1.0 ansi-terminal-0.8.0.4-CvDyNcwxO3756EDj7fON2h
    ansi-wl-pprint-0.6.8.2-5VjUR5zrHF4ICjKXehuybH
    random-1.1-9LLJAJa4iQFLJiLXBOBXBV containers-0.5.11.0
    regex-posix-0.95.2-FLMmMz75XIwP5t3X8eXe
    old-locale-1.0.0.7-26K7wLFR2jK44UeOklvTCh time-1.8.0.2
    xml-1.3.14-Iiopw2ucwBuIKdlkbvc4Gm
    hostname-1.0-Ej5hvtbOaDOEQosxQqfQV6
abi-depends: base-4.11.1.0=ecd125f03c784a67b61c9a8f6dd222e4
             ansi-terminal-0.8.0.4-CvDyNcwxO3756EDj7fON2h=d29a802384bc8c994c84a39efa43ccae
             ansi-wl-pprint-0.6.8.2-5VjUR5zrHF4ICjKXehuybH=acacaf200daa6a34897880ee2dd48291
             random-1.1-9LLJAJa4iQFLJiLXBOBXBV=552cb76a5e53a808564c851a382c09ce
             containers-0.5.11.0=f8334bacfaf0e925ca7b24fb26fb2e66
             regex-posix-0.95.2-FLMmMz75XIwP5t3X8eXe=5459adcad409319ec81639853f5bf77d
             old-locale-1.0.0.7-26K7wLFR2jK44UeOklvTCh=2dfd38519bdeae449859dd6952bd60c2
             time-1.8.0.2=f5b6d28c2b89a17d60f5dfeda767abd0
             xml-1.3.14-Iiopw2ucwBuIKdlkbvc4Gm=6f727b0a8cd9ade0e8e4b598ef2ae80c
             hostname-1.0-Ej5hvtbOaDOEQosxQqfQV6=71b77b5421cddb5fac7b415033d15c40
haddock-interfaces: /usr/share/doc/haskell-test-framework/html/test-framework.haddock
haddock-html: /usr/share/doc/haskell-test-framework/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

